package com.yd.dal.mapper.meta;

import com.yd.dal.entity.meta.MdCity;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MdCityMapper {
    int deleteByPrimaryKey(Long id);

    int insert(MdCity record);

    int insertSelective(MdCity record);

    MdCity selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(MdCity record);

    int updateByPrimaryKey(MdCity record);

    List<MdCity> findByInsurerId(@Param("insurerId") Long insurerId);
}